#include "fchanger.h"


// create container winodw
void Ltocwin::c_create_window()
{
  window=gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_signal_connect(GTK_OBJECT(window),"destroy",
                     GTK_SIGNAL_FUNC(gtk_main_quit),NULL);
  gtk_container_border_width(GTK_CONTAINER(window),9);
  hbox=gtk_hbox_new(FALSE,7);
  gtk_container_add(GTK_CONTAINER(window),hbox);
  gtk_widget_set_usize((window),550,500);

  c_create_window_left();
}
 
//   create left windodw
void Ltocwin::c_create_window_left()
{
  GtkWidget *scroll_window,*vbox,*label;
  GtkWidget *hbox1,*check_button,*dir_button;
  GdkFont *font;
  gchar *text[1]={"ե̾"};

  vbox=gtk_vbox_new(FALSE,5);
  gtk_box_pack_start(GTK_BOX(hbox),vbox,TRUE,TRUE,0);
  hbox1=gtk_hbox_new(FALSE,3);
  gtk_box_pack_start(GTK_BOX(vbox),hbox1,FALSE,FALSE,3);
  label=gtk_label_new(" ");
  gtk_box_pack_start(GTK_BOX(hbox1),label,FALSE,FALSE,0);
  textentry=gtk_entry_new();
  gtk_box_pack_start(GTK_BOX(hbox1),textentry,TRUE,TRUE,5);
  gtk_object_set_user_data(GTK_OBJECT(textentry),(gpointer)TEXTENTRY);
  gtk_signal_connect(GTK_OBJECT(textentry),"activate",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);

  vpand=gtk_vpaned_new();
  gtk_box_pack_start(GTK_BOX(vbox),vpand,TRUE,TRUE,3);
  scroll_window=gtk_scrolled_window_new(NULL,NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll_window),
				 GTK_POLICY_AUTOMATIC,GTK_POLICY_AUTOMATIC);
  gtk_paned_add1(GTK_PANED(vpand),scroll_window);

  ftree=gtk_ftree_new();
  gtk_container_add(GTK_CONTAINER(scroll_window),ftree);
  gtk_object_set_user_data(GTK_OBJECT(ftree),(gpointer)FTREE);  
  gtk_signal_connect(GTK_OBJECT(ftree),"tree_select_row",
		     GTK_SIGNAL_FUNC(vari_ftree),(gpointer)this);
  gtk_signal_connect(GTK_OBJECT(ftree),"key_press_event",
		     GTK_SIGNAL_FUNC(vari_fkey),(gpointer)this);
  gtk_widget_set_events(ftree,GDK_KEY_PRESS_MASK);

  gtk_widget_set_usize(ftree,-1,150);

  scroll_window=gtk_scrolled_window_new(NULL,NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll_window),
				 GTK_POLICY_AUTOMATIC,GTK_POLICY_AUTOMATIC);
  gtk_paned_add2(GTK_PANED(vpand),scroll_window);
  clist=gtk_clist_new_with_titles(1,text);
  gtk_clist_column_titles_passive(GTK_CLIST(clist));
  gtk_clist_set_selection_mode (GTK_CLIST (clist), GTK_SELECTION_EXTENDED);
  gtk_container_add(GTK_CONTAINER(scroll_window),clist);
  gtk_paned_set_gutter_size(GTK_PANED(vpand),10);

  hbox1=gtk_hbox_new(FALSE,3);
  gtk_box_pack_start(GTK_BOX(vbox),hbox1,FALSE,FALSE,0);
  check_button=gtk_check_button_new_with_label("եɽ");
  gtk_object_set_user_data(GTK_OBJECT(check_button),(gpointer)CHECK);  
  gtk_signal_connect(GTK_OBJECT(check_button),"toggled",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(hbox1),check_button,TRUE,TRUE,10);
  gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(check_button),FALSE);

  dir_button=gtk_check_button_new_with_label("ǥ쥯ȥɽ");
  gtk_object_set_user_data(GTK_OBJECT(dir_button),(gpointer)CHECK_DIR);  
  gtk_signal_connect(GTK_OBJECT(dir_button),"toggled",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(hbox1),dir_button,TRUE,TRUE,0);
  gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dir_button),FALSE);

  hbox1=gtk_hbox_new(FALSE,3);
  gtk_box_pack_start(GTK_BOX(vbox),hbox1,FALSE,FALSE,0);
  label=gtk_label_new("ե륿");
  gtk_box_pack_start(GTK_BOX(hbox1),label,FALSE,FALSE,0);
  filter=gtk_entry_new();
  gtk_box_pack_start(GTK_BOX(hbox1),filter,FALSE,FALSE,0);
  gtk_object_set_user_data(GTK_OBJECT(filter),(gpointer)FILTER);
  gtk_signal_connect(GTK_OBJECT(filter),"activate",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_entry_set_text(GTK_ENTRY(filter),"*");

  hbox1=gtk_hbox_new(TRUE,5);
  gtk_box_pack_end(GTK_BOX(vbox),hbox1,FALSE,FALSE,0);
  button=gtk_button_new_with_label("Reload");
  gtk_object_set_user_data(GTK_OBJECT(button),(gpointer)RELOAD);
  gtk_signal_connect(GTK_OBJECT(button),"clicked",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(hbox1),button,TRUE,TRUE,0);

  button=gtk_button_new_with_label("Unselect");
  gtk_object_set_user_data(GTK_OBJECT(button),(gpointer)UNSELECT);
  gtk_signal_connect(GTK_OBJECT(button),"clicked",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(hbox1),button,TRUE,TRUE,0);

  button=gtk_button_new_with_label("ALL SELECT");
  gtk_object_set_user_data(GTK_OBJECT(button),(gpointer)ALLSELECT);
  gtk_signal_connect(GTK_OBJECT(button),"clicked",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(hbox1),button,TRUE,TRUE,0);


  c_create_window_right();
}

//  create right window
void Ltocwin::c_create_window_right()
{
  GtkWidget *frame,*vbox,*label,*button;
  GtkWidget *hbox1,*vbox1,*radio,*check_suffix;
  GList *glist=NULL;

  vbox=gtk_vbox_new(FALSE,5);
  gtk_box_pack_start(GTK_BOX(hbox),vbox,FALSE,FALSE,0);

  frame=gtk_frame_new("ʸ? ʸ?");
  gtk_frame_set_shadow_type(GTK_FRAME(frame),GTK_SHADOW_IN);
  gtk_box_pack_start(GTK_BOX(vbox),frame,TRUE,TRUE,10);

  vbox1=gtk_vbox_new(FALSE,15);
  gtk_container_add(GTK_CONTAINER(frame),vbox1);

  radio=gtk_radio_button_new_with_label(NULL,"٤ʸ");
  gtk_box_pack_start(GTK_BOX(vbox1),radio,TRUE,FALSE,0);

  group=gtk_radio_button_group(GTK_RADIO_BUTTON(radio));
  radio=gtk_radio_button_new_with_label(group,"٤ƾʸ");
  gtk_box_pack_start(GTK_BOX(vbox1),radio,TRUE,FALSE,0);

  group=gtk_radio_button_group(GTK_RADIO_BUTTON(radio));
  radio=gtk_radio_button_new_with_label(group,"Ϥ1ʸʸ");
  gtk_box_pack_start(GTK_BOX(vbox1),radio,TRUE,TRUE,0);

  group=gtk_radio_button_group(GTK_RADIO_BUTTON(radio));
  radio=gtk_radio_button_new_with_label(group,"ʤ");
  gtk_box_pack_start(GTK_BOX(vbox1),radio,TRUE,FALSE,0);
  group=gtk_radio_button_group(GTK_RADIO_BUTTON(radio));


  frame=gtk_frame_new("ĥҤѹ?");
  gtk_frame_set_shadow_type(GTK_FRAME(frame),GTK_SHADOW_IN);
  gtk_box_pack_start(GTK_BOX(vbox),frame,TRUE,TRUE,10);

  vbox1=gtk_vbox_new(FALSE,0);
  gtk_container_add(GTK_CONTAINER(frame),vbox1);

  check_suffix=gtk_check_button_new_with_label("嵭νϳĥҤˤĤ
ƤоݤȤ롣  ");

  gtk_misc_set_alignment(GTK_MISC(GTK_BIN(GTK_BUTTON(GTK_TOGGLE_BUTTON(check_suffix)))->child),.5,.5);
  gtk_object_set_user_data(GTK_OBJECT(check_suffix),(gpointer)CHECK_SUFFIX);  
  gtk_signal_connect(GTK_OBJECT(check_suffix),"toggled",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(vbox1),check_suffix,TRUE,FALSE,4);


  check_input=gtk_check_button_new_with_label("ĥҤѹޤ");
  gtk_object_set_user_data(GTK_OBJECT(check_input),(gpointer)CHECK_INPUT);  
  gtk_signal_connect(GTK_OBJECT(check_input),"toggled",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_start(GTK_BOX(vbox1),check_input,TRUE,FALSE,16);


  label_suffix=gtk_label_new("ĥҤϤƲ");
  gtk_box_pack_start(GTK_BOX(vbox1),label_suffix,FALSE,FALSE,2);

  combo=gtk_combo_new();
  glist=g_list_append(glist,(gpointer)".c");
  glist=g_list_append(glist,(gpointer)".cc");
  glist=g_list_append(glist,(gpointer)".h");
  glist=g_list_append(glist,(gpointer)".lsp");
  glist=g_list_append(glist,(gpointer)".ps");
  glist=g_list_append(glist,(gpointer)".tex");
  glist=g_list_append(glist,(gpointer)".txt");
  glist=g_list_append(glist,(gpointer)".xpm");
  glist=g_list_append(glist,(gpointer)".gif");


  gtk_combo_set_popdown_strings(GTK_COMBO(combo),glist);
  gtk_box_pack_start(GTK_BOX(vbox1),combo,FALSE,FALSE,8);

  gtk_signal_emit_by_name(GTK_OBJECT(check_input),"toggled");
  gtk_signal_emit_by_name(GTK_OBJECT(check_suffix),"toggled");

  hbox1=gtk_hbox_new(FALSE,5);
  gtk_box_pack_end(GTK_BOX(vbox),hbox1,FALSE,FALSE,1);

  button=gtk_button_new_with_label("About");
  gtk_signal_connect(GTK_OBJECT(button),"clicked",
		     GTK_SIGNAL_FUNC(create_dialog),NULL);
  gtk_box_pack_start(GTK_BOX(hbox1),button,TRUE,TRUE,0);

  button=gtk_button_new_with_label("λ");
  gtk_signal_connect_object(GTK_OBJECT(button),"clicked",
		     GTK_SIGNAL_FUNC(gtk_widget_destroy),GTK_OBJECT(window));
  gtk_box_pack_end(GTK_BOX(hbox1),button,TRUE,TRUE,0);

  button=gtk_button_new_with_label("OK");
  gtk_object_set_user_data(GTK_OBJECT(button),(gpointer)BUTTON);  
  gtk_signal_connect(GTK_OBJECT(button),"clicked",
		     GTK_SIGNAL_FUNC(vari),(gpointer)this);
  gtk_box_pack_end(GTK_BOX(hbox1),button,TRUE,TRUE,0);

  gtk_ftree_open(GTK_FTREE(ftree),getcwd(NULL,0));


  gtk_widget_show_all(window);
  gtk_widget_hide(window);


  gtk_ctree_node_moveto(GTK_CTREE(GTK_FTREE(ftree)),gtk_ftree_get_selected_node(GTK_FTREE(ftree)),0,0.5,0.5);



  gtk_widget_show(window);
}
