#include <gtk/gtk.h>
#include <unistd.h>
#include <dirent.h>
#include <iostream.h>
#include <cstdlib>
#include <ctype.h>
#include "gtkftree.h"
#include <cstdio>
#include <sys/stat.h>
#include <sys/types.h>

enum Type{
  TEXTENTRY=1,
  CHECK,
  FTREE,
  FILTER,
  RELOAD,
  UNSELECT,
  ALLSELECT,
  CHECK_SUFFIX,
  CHECK_INPUT,
  BUTTON,
  PROG,
  CHECK_DIR
};

class Ltocwin{
private:
  GtkWidget *window,*ctree,*clist;
  GtkWidget *textentry,*filter,*button,*combo;
  GtkWidget *hbox,*label_suffix;
  GtkWidget *check_input,*ftree,*vpand;
  GSList *group;
  guint flag_check:1;
  guint flag_suffix:1;
  guint flag_input:1;

protected:
  void c_create_window_left();
  void c_create_window_right();
  void c_textentry();
  void c_check(GtkWidget*);
  void c_dir_check(GtkWidget*);
  void c_filter();
  void c_reload();
  void c_unselect();
  void c_allselect();
  void c_check_suffix(GtkWidget*);
  void c_check_input(GtkWidget*);
  void c_button();
  void c_create_clist();
  void c_ftree_write();
  void c_ltos(GtkWidget *prog);


public:
  void c_create_window();

friend void vari(GtkWidget*,Ltocwin*);
friend void vari_ftree(GtkCTree* ,GtkCTreeNode*, gint ,Ltocwin*);
friend void vari_fkey(GtkWidget *ftree,GdkEventKey *key,Ltocwin *mai);
};

void create_dialog();

class F_func{
 private:
  char *name;
  char *filter;
  int len;
  int p;
 public:
  F_func(const char *,const char*);
  ~F_func();
  int mystr(const char*,const char*); 
  int filter_ok();
};
